Bug 198333 - [PATCH] ftp/pavuk Fix build WITHOUT_SSL2 and with LibreSSL
Summary: [PATCH] ftp/pavuk Fix build WITHOUT_SSL2 and with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-05 20:55 UTC by Bernard Spil
Modified: 2016-06-12 17:29 UTC (History)
0 users

See Also:


Attachments
svn diff for ftp/pavuk (2.09 KB, patch)
2015-03-05 20:55 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log with latest patch (93.17 KB, text/plain)
2015-03-05 20:56 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-05 20:55:08 UTC
Created attachment 153864 [details]
svn diff for ftp/pavuk

An error was uncovered in bug# 195796 to build ftp/pavuk when SSLv2 is disabled

Additionally, this port uses deprecated des_ methods and types that were deprecated when OpenSSL 0.9.7 was released, neither LibreSSL nor OpenSSL 1.0.3 contain the des_old.h compatibility headers.
Comment 1 Bernard Spil freebsd_committer 2015-03-05 20:56:29 UTC
Created attachment 153865 [details]
Poudriere build log with latest patch
Comment 2 Bernard Spil freebsd_committer 2015-03-06 08:19:25 UTC
Note: I have not been able to upstream this patch.

1. No upstream updates since 2007
2. Mailinglists on Yahoo can not be found
3. Bug tracker on sf.net results in 404

Looking at the updates I believe it is safe to just land this patch in the port without risc of having to re-roll the patch often, if ever.
Comment 3 commit-hook freebsd_committer 2016-06-12 17:17:12 UTC
A commit references this bug:

Author: brnrd
Date: Sun Jun 12 17:17:02 UTC 2016
New revision: 416810
URL: https://svnweb.freebsd.org/changeset/ports/416810

Log:
  ftp/pavuk: Fix build with OpenSSL 1.1 / LibreSSL

    - Replace deprecated des_ methods with their DES_ equivalents

  PR:		198333
  Sponsored by:	BSDCan 2016

Changes:
  head/ftp/pavuk/files/patch-src__ntlm_auth.c